<template>
    <div>
        <div class="row mb-3">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-3">
                            <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                <b-row class="my-1 d-flex align-items-center mb-3">
                                    <b-col sm="3">
                                        <label>Perusahaan :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <b-select :options="options" size="sm"></b-select>
                                    </b-col>
                                </b-row>
                                <b-row class="my-1 d-flex align-items-center mb-3">
                                    <b-col sm="3">
                                        <label>Attn :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                                <b-row class="my-1 d-flex align-items-center mb-3">
                                    <b-col sm="3">
                                        <label>Subject :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                            </div>
                            <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                <b-row class="my-1 d-flex align-items-center mb-3">
                                    <b-col sm="3">
                                        <label>Kode Proyek :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <b-select :options="options" size="sm"></b-select>
                                    </b-col>
                                </b-row>
                                <b-row class="my-1 d-flex align-items-center mb-3">
                                    <b-col sm="3">
                                        <label>Tanggal :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="date" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                                <b-row class="my-1 d-flex align-items-center mb-3">
                                    <b-col sm="3">
                                        <label>Nomor Transmittal :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="text-right">
                                    <div class="btn-group">
                                        <button class="btn btn-primary btn-sm">Save as Draft</button>
                                        <button class="btn btn-success btn-sm">Save</button>
                                        <button class="btn btn-secondary btn-sm">Print</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div>
                            <b-tabs content-class="mt-3">
                                <b-tab title="Tujuan" active>
                                    <Tujuan />
                                </b-tab>
                                <b-tab title="Status">
                                    <Status />
                                </b-tab>
                                <b-tab title="Design">
                                    <Design />
                                </b-tab>
                            </b-tabs>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import Tujuan from "./createComponent/Tujuan.vue";
import Status from "./createComponent/Status.vue";
import Design from "./createComponent/Design.vue";

export default {
    name: "CreateTransmittal",
    components: {
        Tujuan,
        Status,
        Design
    },
    data() {
        return {
            options: [
                {
                    text: "Loading ..."
                }
            ]
        }
    }
}
</script>